Page MenuHomePhabricator

Add template editor user group to en.wiktionary
Closed, ResolvedPublic

Description

The English Wiktionary has had a vote in which editors chose to have the "template editor" user right added:

https://en.wiktionary.org/wiki/Wiktionary:Votes/2016-09/Adding_%22template_editor%22_group

Thanks!

Details

Related Gerrit Patches:
operations/mediawiki-config : masterCreate a 'templateeditor' user group at en.wiktionary

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptOct 13 2016, 6:54 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Which users should be able to promote and demote users to this group?
Admins, crats? Thank you.

I'm an admin on enwikt. Please allow admins to promote and demote users to this group.

The vote says: "We would add editors to this group like we add autopatrollers, at WT:WL.", and autopatrollers are added and removed by admins.

This is confirmed in the only (short) discussion in the vote talk page:
https://en.wiktionary.org/wiki/Wiktionary_talk:Votes/2016-09/Adding_%22template_editor%22_group

Thank you.

MarcoAurelio triaged this task as Low priority.Oct 13 2016, 8:13 AM
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Thanks. I'll start working on a patch for this. I assume you also want a new level of protection for templateeditors as well. Regards.

Change 315653 had a related patch set uploaded (by MarcoAurelio):
Create a 'templateeditor' user group at en.wiktionary

https://gerrit.wikimedia.org/r/315653

Daniel_Carrero added a comment.EditedOct 13 2016, 4:07 PM

Sounds great. I apologize if I should have mentioned it earlier, but please note that the vote specifically states that "template editors" are expected to edit protected templates and protected modules, too. Please let us know if that can be done.

Thank you.

@Daniel_Carrero: Yes, but only those protected up to the template editor
level. This patch creates a new protection level, above autoconfirmed and
below sysop. If you protect a page, template or module until editprotected
setting, only administrators and template editors will be able to edit. If
you protect them as sysops only, only sysops would be able to edit it. So
if you have protected titles to sysop level and wish to let template
editors edit those as well, you should lower the protection from edit=sysop
to edit=templateeditor (once this goes live of course). Please let me know
if you have any other doubts. Regards.

Thank you for that explanation. Sounds great to me. I believe that what you described works perfectly as the function that we voted for. Regards.

Great. I'll try to schedule this patch for deployment this week.

Change 315653 merged by jenkins-bot:
Create a 'templateeditor' user group at en.wiktionary

https://gerrit.wikimedia.org/r/315653

Mentioned in SAL (#wikimedia-operations) [2016-10-19T13:14:02Z] <dereckson@mira> Synchronized wmf-config/InitialiseSettings.php: Create a 'templateeditor' user group at en.wiktionary plus adittional configuration (T148007) (duration: 02m 33s)

MarcoAurelio closed this task as Resolved.Oct 19 2016, 1:16 PM
MarcoAurelio moved this task from To deploy to Done on the Wikimedia-Site-requests board.

Change is now live with the requested configuration. Please test it too and let us know if there's any error. Regards.

Mentioned in SAL (#wikimedia-operations) [2016-10-19T13:36:10Z] <mafk> dereckson@mira Synchronized wmf-config/InitialiseSettings.php: Create a 'templateeditor' user group at en.wiktionary plus adittional configuration (T148007) (duration: 02m 33s)